clang 10.0.0git

Classes | Namespaces
OptionalDiagnostic.h File Reference

Implements a partial diagnostic which may not be emitted. More...

`#include "clang/AST/APValue.h"`
`#include "clang/Basic/PartialDiagnostic.h"`
`#include "llvm/ADT/APFloat.h"`
`#include "llvm/ADT/APSInt.h"`
`#include "llvm/ADT/SmallVector.h"`
`#include "llvm/ADT/StringRef.h"`
Include dependency graph for OptionalDiagnostic.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::OptionalDiagnostic
| A partial diagnostic which we might know in advance that we are not going to emit. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Detailed Description

Implements a partial diagnostic which may not be emitted.

Definition in file OptionalDiagnostic.h.